Aller au contenu principal
Sujet résolu
Ce sujet a été marqué résolu et ne nécessite aucune autre attention.
Sujet: Kaffeine TNT ne marche plus après passage en Leap 15.3 (Lu 151 fois) sujet précédent - sujet suivant

Kaffeine TNT ne marche plus après passage en Leap 15.3

Bonjour,
Je viens de mettre à jour de 15.2 vers 15.3. Tout mes logiciels fonctionnent (Firefox, VLC, LibreOffice, Virtualbox, VirtManager (même si un petit malin a trouvé intelligent de changer le chemin des exécutables sans prévenir))
Mais, et il y a un mais, la TNT ne marche plus sous Kaffeine.
J'ai un dongle USB Dexatek DK, qui marchait très bien sous la 15.2 avec Kaffeine.
Avec la 15.3, les symptômes sont :
- Kaffeine reconnaît le dongle en Périphérique 1 : Realtek RTL2332 (DVB-T)
- dmesg affiche : "'Dexatek DK DVB-T Dongle' successfully initialized and connected"
- quand je vais dans le menu "Canaux", la commande "Démarrer le balayage" ne trouve que 5 chaines, et le balayage s'arrête
- si je veux voir l'une des 5 chaines, je n'ai pas d'image, mais le "guide des programmes" fonctionne

Quelqu'un aurait une idée pour dépanner ça ?

Je précise que jusqu'à la 15.2 incluse, le commande "dmesg" pouvait être lancée en utilisateur lambda.
Sur la 15.3, ça donne "dmesg: échec de lecture du tampon de noyau: Opération non permise"
Je suis obligé de la lancer en su.

A+

wallace

Re : Kaffeine TNT ne marche plus après passage en Leap 15.3

Répondre #1
Pour le problème de dmesg, j'ai trouvé à l'adresse https://debian-facile.org/viewtopic.php?id=16428
Tout est expliqué.

Je cite : "C'est une mesure pour augmenter la sécurité par défaut du noyau en partant du principe que les logs du noyau peuvent contenir des informations "sensibles".

Et effectivement, dans /boot/config-5.3.18-59.13-default, la variable CONFIG_SECURITY_DMESG_RESTRICT est mise à y

A+

Wallace

 

Re : Kaffeine TNT ne marche plus après passage en Leap 15.3

Répondre #2
Je viens de trouver : c'est un problème de codecs.

Quand on fait la mise à jour de 15.2 vers 15.3, tous les paquetages de codecs ne suivent pas.

Une fois la mise à jour de base effectuée, il faut aller sur le site :
https://opensuse-community.org/
et cliquer sur le "1 click Install" de "KDE Codecs" ou "GNOME Codecs"
Il faut ensuite accepter le remplacement par les paquetages de packman.

Et Kaffeine arrive alors à décoder la TNT !

Bons visionnages !

A+

Wallace